Bug 433080 - vino local_only binds only to ipv6 local interface
vino local_only binds only to ipv6 local interface
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 19:42 EST by Mike Lococo
Modified: 2013-03-05 22:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:59:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Lococo 2008-02-15 19:42:41 EST
Description of problem:
A gconf key exists to instruct vino to bind to the local interface instead of
the public network interface.  This can be useful in cases where vino is only
accessed through a secure tunnel like SSH.  In Fedora, this setting causes vino
to bind only to the local ipv6 address, but not the ipv4 address.

Version-Release number of selected component (if applicable):
vino 2.18.0-1 in Fedora 8.

How reproducible:
Every time.

Steps to Reproduce:
1. Install vino
2. Configure it in System --> Preferences --> Internet... --> Remote Desktop
3. Open gconf-edit and check desktop --> gnome --> remote_access --> local_only
4. As root, 'lsof -i | grep vino'

Actual results:
vino-serv is bound to localhost6.localdomain6:5900.

Expected results:
It should bind to localhost.localdomain:5900 or to both addresses, or something
that allows ipv4 connectivity by default since lots of people still use it and
expect it to work.

Additional info:
More info on the local_only option...
http://www.bani.com.br/2007/04/25/hidden-features-of-vino-remote-desktop-access/
https://bugs.launchpad.net/ubuntu/+source/vino/+bug/54312
http://ubuntuforums.org/archive/index.php/t-518965.html
http://ubuntuforums.org/archive/index.php/t-475839.html
Comment 1 Bug Zapper 2008-11-26 04:49:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bas Mevissen 2008-12-29 09:39:47 EST
New bug #463782 was submitted for F10. So this is an old problem which is still relevant...
Comment 3 Bug Zapper 2009-01-09 00:59:55 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.